package com.github.wxiaoqi.security.common.filter;

import ch.qos.logback.classic.spi.ILoggingEvent;
import ch.qos.logback.core.filter.Filter;
import ch.qos.logback.core.spi.FilterReply;

public class DenyFilter extends Filter<ILoggingEvent> {
	@Override
	public FilterReply decide(ILoggingEvent event) {
		if (event.getLoggerName().startsWith("com.alibaba.nacos") || event.getLoggerName().startsWith("com.upyuns.platform.rs") || event.getLoggerName().startsWith("com.github.wxiaoqi") || event.getLoggerName().contains("Exception")) {
				return FilterReply.DENY;
		} else {
			return FilterReply.ACCEPT;
		}
	}
}